### Method

# Rest OAuth2Proxy build_authorization_url

since: 0.8

#### Declaration [src]

    gchar*
    rest_oauth2_proxy_build_authorization_url (
      RestOAuth2Proxy* self,
      const gchar* code_challenge,
      const gchar* scope,
      gchar** state
    )

#### Description

No description available.

Available since: 0.8

#### Parameters

`code_challenge`

  Type: `const gchar*`

  The code challenge (see `RestPkceCodeChallenge`).

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`scope`

  Type: `const gchar*`

  The requesting scope of the resource.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`state`

  Type: `gchar**`

  A CRSF token which should be verified from the redirect_uri.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The authorization url which should be shown in a WebView in order to accept/decline the request to authorize the application.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.